<table cellspacing="2" cellpadding="1" width="670" align="center" border="0">
  <tbody>
    <tr>
      <td height="74"> <span class="heading">PHPStat Counter 檢查目錄屬性</span>
        <hr align="left" size="1" width="100%"/>
        <form id="form1" name="form1" method="get" action="">
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="28%" rowspan="3"><table width="90%" height="200" border="0" cellpadding="5" cellspacing="3" style="border-right:2px solid #cccccc;">
                <tr>
                  <td>&nbsp;</td>
                </tr>
                <tr>
                  <td><span class="heading">1.檢查目錄屬性</span></td>
                </tr>
                <tr>
                  <td>2.檢查參數設置</td>
                </tr>
                <tr>
                  <td>3.安裝數據庫</td>
                </tr>
                <tr>
                  <td>4.安裝完成</td>
                </tr>
                <tr>
                  <td>&nbsp;</td>
                </tr>
              </table></td>
              <td></td>
            </tr>
            
            <tr>
              <td height="59">
			  <?
			  if(@get_cfg_var("session.cookie_path") != '/')
				{
					echo "<br>請將配置文件中的 '<FONT COLOR=\"#FF0000\">session.cookie_path</font>' 選項設置為 \" /  \" ，即：session.cookie_path = / <br>強烈建議您修改此選項，否則影響正常登錄&nbsp;&nbsp;&nbsp;<br>\n";
					$error = true;
					fputs($fp,"\n######".date('Y-m-d H:s')." 請將PHP.INI配置文件中的 session.cookie_path 選項設置為 / 即：session.cookie_path = /");
				}
				
				echo "<br><br><br>現在開始檢查目錄可寫性.<br>\n";
				echo "*** ".WEB_HOME . '/' . COUNT_DIRNAME . "，./include.inc/以及當前使用的模板目錄下的templates_c目錄必須為可寫<br>\n";
		
				echo "<U>開始檢查" . WEB_HOME . '/' . COUNT_DIRNAME . "目錄</U><br>\n";
				if( is_writable( WEB_HOME . '/' . COUNT_DIRNAME ) )
				{
					echo "&nbsp;&nbsp;&nbsp;&nbsp;確認目錄可寫!<br>\n";
				}
				else
				{
					$error = true;
					echo "&nbsp;&nbsp;&nbsp;&nbsp;<FONT COLOR=\"#FF0000\">該目錄不可寫,請將目錄權限設置為可寫!</FONT><br>\n";
				}
				
				echo "<U>開始檢查" . WEB_HOME . '/files' . "目錄</U><br>\n";
				if( is_writable( WEB_HOME . '/files' ) )
				{
					echo "&nbsp;&nbsp;&nbsp;&nbsp;確認目錄可寫!<br>\n";
				}
				else
				{
					$error = true;
					echo "&nbsp;&nbsp;&nbsp;&nbsp;<FONT COLOR=\"#FF0000\">該目錄不可寫,請將目錄權限設置為可寫!</FONT><br>\n";
				}
				
				echo "<U>開始檢查" . WEB_HOME . '/install' . "目錄</U><br>\n";
				if( is_writable( WEB_HOME . '/install' ) )
				{
					echo "&nbsp;&nbsp;&nbsp;&nbsp;確認目錄可寫!<br>\n";
				}
				else
				{
					$error = true;
					echo "&nbsp;&nbsp;&nbsp;&nbsp;<FONT COLOR=\"#FF0000\">該目錄不可寫,請將目錄權限設置為可寫!</FONT><br>\n";
				}
				
				echo "<U>開始檢查" . WEB_HOME . "/include.inc" . "目錄</U><br>\n";
				if( is_writable( WEB_HOME . '/' . COUNT_DIRNAME ) )
				{
					echo "&nbsp;&nbsp;&nbsp;&nbsp;確認目錄可寫!<br>\n";
				}
				else
				{
					$error = true;
					echo "&nbsp;&nbsp;&nbsp;&nbsp;<FONT COLOR=\"#FF0000\">該目錄不可寫,請將目錄權限設置為可寫!</FONT><br>\n";
				}
				
				echo "<U>開始檢查" . $Tpl->compile_dir . "目錄</U><br>\n";
				if( is_writable( $Tpl->compile_dir ) )
				{
					echo "&nbsp;&nbsp;&nbsp;&nbsp;確認目錄可寫!<br>\n";
				}
				else
				{
					$error = true;
					echo "&nbsp;&nbsp;&nbsp;&nbsp;<FONT COLOR=\"#FF0000\">該目錄不可寫,請將目錄權限設置為可寫!</FONT><br>\n";
				}
				
						
				if( $error )
				{
					echo "<br><br><FONT COLOR=\"#FF0000\">請更正以上錯誤後重新安裝!</FONT><br><br>";
				}		
				else
				{
					echo "<br><br><input name=\"Submit\" type=\"button\" class=\"button\" onclick=\"window.location='install.php?step=2'\" value=\"繼　續　安　裝\">";
				}
			  ?></td>
            </tr>
            <tr>
              <td height="59">&nbsp;</td>
            </tr>
          </table>
        </form>
        <p>&nbsp;</p></td>
    </tr>
    <tr>
      <td height="18">&nbsp;</td>
    </tr>
  </tbody>
</table>
